Provider Operations Metadata - List
Gets provider operations metadata for all resource providers.
GET https://management.azure.com/providers/Microsoft.Authorization/providerOperations?api-version=2022-04-01
GET https://management.azure.com/providers/Microsoft.Authorization/providerOperations?api-version=2022-04-01&$expand={$expand}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
|
$expand
|
query |
string |
Specifies whether to expand the values. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Azure operation completed successfully. |
|
| Other Status Codes |
An unexpected error response. |
Permissions
To call this API, you must be assigned a role that has the following permissions. For more information, see Azure built-in roles.
Microsoft.Authorization/providerOperations/read
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
List provider operations metadata for all resource providers
Sample request
GET https://management.azure.com/providers/Microsoft.Authorization/providerOperations?api-version=2022-04-01
Sample response
{
"value": [
{
"name": "name",
"type": "type",
"displayName": "displayName",
"id": "id",
"resourceTypes": [
{
"name": "name",
"displayName": "name",
"operations": []
}
],
"operations": []
}
]
}
Definitions
| Name | Description |
|---|---|
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
Provider |
Operation |
|
Provider |
Provider Operations metadata |
|
Provider |
The response of a ProviderOperationsMetadata list operation. |
|
Resource |
Resource Type |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
ProviderOperation
Operation
| Name | Type | Description |
|---|---|---|
| description |
string |
The operation description. |
| displayName |
string |
The operation display name. |
| isDataAction |
boolean |
The dataAction flag to specify the operation type. |
| name |
string |
The operation name. |
| origin |
string |
The operation origin. |
ProviderOperationsMetadata
Provider Operations metadata
| Name | Type | Description |
|---|---|---|
| displayName |
string |
The provider display name. |
| id |
string |
The provider ID. |
| name |
string |
The provider name. |
| operations |
The provider operations. |
|
| resourceTypes |
The provider resource types |
|
| type |
string |
The provider type. |
ProviderOperationsMetadataListResult
The response of a ProviderOperationsMetadata list operation.
| Name | Type | Description |
|---|---|---|
| nextLink |
string (uri) |
The link to the next page of items |
| value |
The ProviderOperationsMetadata items on this page |
ResourceType
Resource Type
| Name | Type | Description |
|---|---|---|
| displayName |
string |
The resource type display name. |
| name |
string |
The resource type name. |
| operations |
The resource type operations. |